<?php

/**

 * @package		HikaShop for Joomla!

 * @version		1.5.7

 * @author		hikashop.com

 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.

 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html

 */

defined('_JEXEC') or die('Restricted access');

?>

<?php
class plgHikashopDownload_limit_per_group extends JPlugin
{
	function plgHikashopDownload_limit_per_group(&$subject, $config){
		parent::__construct($subject, $config);
		if(!isset($this->params)){
			$plugin =& JPluginHelper::getPlugin('system', 'download_limit_per_group');
			jimport('joomla.html.parameter');
			$this->params = new JParameter( $plugin->params );
		}
    }
    function onBeforeDownloadFile(&$file, & $do){
    	$i=0;
    	while(true){
    		$i++;
    		$file_group = $this->params->get('group_'.$i);
    		if(empty($file_group)) break;
    		$file_limit = $this->params->get('limit_'.$i);
    		$my =& JFactory::getUser();
    		$check = false;
    		if(version_compare(JVERSION,'1.6.0','<')){
				if(empty($my->id)){
					$group = 29;
				}else{
					$group = (int)@$my->gid;
				}
				if($group==$file_group){
					$check = true;
				}
    		}else{
    			jimport('joomla.access.access');
				$config =& hikashop_config();
				$userGroups = JAccess::getGroupsByUser($my->id, (bool)$config->get('inherit_parent_group_access'));
				if(in_array($file_group,$userGroups)){
					$check = true;
				}
    		}
    		if($check){
    			$file_id = JRequest::getInt('file_id');
				$order_id = hikashop_getCID('order_id');
				$app =& JFactory::getApplication();
				$orderClass = hikashop_get('class.order');
				$order = $orderClass->get($order_id);
				$this->database =& JFactory::getDBO();
				$query = 'SELECT a.* FROM '.hikashop_table('order_product').' AS a WHERE a.order_id = '.$order_id;
				$this->database->setQuery($query);
				$order->products = $this->database->loadObjectList();
				$product_ids = array();
				foreach($order->products as $product){
					$products_ids[]=$product->product_id;
				}
				$query = 'SELECT * FROM '.hikashop_table('product').' WHERE product_id IN ('.implode(',',$products_ids).') AND product_type=\'variant\'';
				$this->database->setQuery($query);
				$products = $this->database->loadObjectList();
				if(!empty($products)){
					foreach($products as $product){
						foreach($order->products as $item){
							if($product->product_id == $item->product_id && !empty($product->product_parent_id)){
								$item->product_parent_id = $product->product_parent_id;
								$products_ids[]=$product->product_parent_id;
							}
						}
					}
				}
				$filters = array('a.file_ref_id IN ('.implode(',',$products_ids).')','a.file_type=\'file\'','a.file_id='.$file_id);
				$query = 'SELECT a.*,b.* FROM '.hikashop_table('file').' AS a LEFT JOIN '.hikashop_table('download').' AS b ON b.order_id='.$order->order_id.' AND a.file_id = b.file_id WHERE '.implode(' AND ',$filters);
				$this->database->setQuery($query);
				$fileData = $this->database->loadObject();
				if(!empty($fileData)){
					if(!empty($file_limit) && $file_limit<=$fileData->download_number){
						$app->enqueueMessage(JText::_('MAX_REACHED_NO_DOWNLOAD').' ('.$fileData->download_number.')');
						$do = false;
						return false;
					}
				}
    		}
    	}
    }
}