<?php

/**

 * @package	HikaShop for Joomla!

 * @version	2.0.0

 * @author	hikashop.com

 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.

 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html

 */

defined('_JEXEC') or die('Restricted access');

?><div class="iframedoc" id="iframedoc"></div>

<form action="index.php?option=<?php echo HIKASHOP_COMPONENT ?>&amp;ctrl=banner" method="post"  name="adminForm" id="adminForm">

	<table>

		<tr>

			<td width="100%">

				<?php echo JText::_( 'FILTER' ); ?>:

				<input type="text" name="search" id="search" value="<?php echo $this->escape($this->pageInfo->search);?>" class="text_area" />

				<button class="btn" onclick="this.form.submit();"><?php echo JText::_( 'GO' ); ?></button>

				<button class="btn" onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'RESET' ); ?></button>

			</td>

		</tr>

	</table>

	<table id="hikashop_banner_listing" class="adminlist table table-striped table-hover" cellpadding="1">

		<thead>

			<tr>

				<th class="title titlenum">

					<?php echo JText::_( 'HIKA_NUM' );?>

				</th>

				<th class="title titlebox">

					<input type="checkbox" name="toggle" value="" onclick="hikashop.checkAll(this);" />

				</th>

				<th class="title">

					<?php echo JHTML::_('grid.sort', JText::_('HIKA_TITLE'), 'a.banner_title', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title">

					<?php echo JHTML::_('grid.sort', JText::_('HIKA_IMAGE'), 'a.banner_image_url', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title">

					<?php echo JHTML::_('grid.sort', JText::_('URL'), 'a.banner_url', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title titleorder">

				<?php echo JHTML::_('grid.sort',    JText::_( 'HIKA_ORDER' ), 'a.banner_ordering',$this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

					<?php if ($this->order->ordering) echo JHTML::_('grid.order',  $this->rows ); ?>

				</th>

				<th class="title titletoggle">

					<?php echo JHTML::_('grid.sort',   JText::_('HIKA_PUBLISHED'), 'a.banner_published', $this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title">

					<?php echo JHTML::_('grid.sort',   JText::_( 'ID' ), 'a.banner_id', $this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

				</th>

			</tr>

		</thead>

		<tfoot>

			<tr>

				<td colspan="8">

					<?php echo $this->pagination->getListFooter(); ?>

					<?php echo $this->pagination->getResultsCounter(); ?>

				</td>

			</tr>

		</tfoot>

		<tbody>

			<?php

				$k = 0;

				$a = count($this->rows);

				if($a){

					for($i = 0;$i<$a;$i++){

						$row =& $this->rows[$i];

						$publishedid = 'banner_published-'.$row->banner_id;

				?>

					<tr class="<?php echo "row$k"; ?>">

						<td align="center">

						<?php echo $this->pagination->getRowOffset($i); ?>

						</td>

						<td align="center">

							<?php echo JHTML::_('grid.id', $i, $row->banner_id ); ?>

						</td>

						<td>

							<?php if($this->manage){ ?>

								<a href="<?php echo hikashop_completeLink('banner&task=edit&cid[]='.$row->banner_id); ?>">

							<?php } ?>

									<?php echo $row->banner_title; ?>

							<?php if($this->manage){ ?>

								</a>

							<?php } ?>

						</td>

						<td>

							<a href="<?php echo $row->banner_image_url; ?>" target="_blank">

								<?php echo $row->banner_image_url; ?>

							</a>

						</td>

						<td>

							<a href="<?php echo $row->banner_url; ?>" target="_blank">

								<?php echo $row->banner_url; ?>

							</a>

						</td>

						<td class="order">

							<?php if($this->manage){ ?>

								<span><?php echo $this->pagination->orderUpIcon( $i, $this->order->reverse XOR ( $row->banner_ordering >= @$this->rows[$i-1]->banner_ordering ), $this->order->orderUp, 'Move Up',$this->order->ordering ); ?></span>

								<span><?php echo $this->pagination->orderDownIcon( $i, $a, $this->order->reverse XOR ( $row->banner_ordering <= @$this->rows[$i+1]->banner_ordering ), $this->order->orderDown, 'Move Down' ,$this->order->ordering); ?></span>

								<input type="text" name="order[]" size="5" <?php if(!$this->order->ordering) echo 'disabled="disabled"'?> value="<?php echo $row->banner_ordering; ?>" class="text_area" style="text-align: center" />

							<?php }else{ echo $row->banner_ordering; } ?>

						</td>

						<td align="center">

							<?php if($this->manage){ ?>

								<span id="<?php echo $publishedid ?>" class="spanloading"><?php echo $this->toggleClass->toggle($publishedid,(int) $row->banner_published,'banner') ?></span>

							<?php }else{ echo $this->toggleClass->display('activate',$row->banner_published); } ?>

						</td>

						<td width="1%" align="center">

							<?php echo $row->banner_id; ?>

						</td>

					</tr>

				<?php

						$k = 1-$k;

					}

				}

			?>

		</tbody>

	</table>

	<input type="hidden" name="option" value="<?php echo HIKASHOP_COMPONENT; ?>" />

	<input type="hidden" name="task" value="" />

	<input type="hidden" name="ctrl" value="<?php echo JRequest::getCmd('ctrl'); ?>" />

	<input type="hidden" name="boxchecked" value="0" />

	<input type="hidden" name="filter_order" value="<?php echo $this->pageInfo->filter->order->value; ?>" />

	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->pageInfo->filter->order->dir; ?>" />

	<?php echo JHTML::_( 'form.token' ); ?>

</form>

