<?php

/**

 * @package	HikaShop for Joomla!

 * @version	2.0.0

 * @author	hikashop.com

 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.

 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html

 */

defined('_JEXEC') or die('Restricted access');

?><div class="iframedoc" id="iframedoc"></div>

<form action="index.php?option=<?php echo HIKASHOP_COMPONENT ?>&amp;ctrl=filter" method="post"  name="adminForm" id="adminForm">

	<table>

		<tr>

			<td width="100%">

				<?php echo JText::_( 'FILTER' ); ?>:

				<input type="text" name="search" id="search" value="<?php echo $this->escape($this->pageInfo->search);?>" class="text_area" />

				<button class="btn" onclick="this.form.submit();"><?php echo JText::_( 'GO' ); ?></button>

				<button class="btn" onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'RESET' ); ?></button>

			</td>

			<td nowrap="nowrap">

			</td>

		</tr>

	</table>

	<table id="hikashop_filter_listing" class="adminlist table table-striped table-hover" cellpadding="1">

		<thead>

			<tr>

				<th class="title titlenum">

					<?php echo JText::_( 'HIKA_NUM' );?>

				</th>

				<th class="title titlebox">

					<input type="checkbox" name="toggle" value="" onclick="hikashop.checkAll(this);" />

				</th>

				<th class="title">

					<?php echo JHTML::_('grid.sort', JText::_('HIKA_NAME'), 'a.filter_name', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title titledata">

					<?php echo JHTML::_('grid.sort', JText::_('APPLY_ON'), 'a.filter_data', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title titletyê">

					<?php echo JHTML::_('grid.sort', JText::_('HIKA_TYPE'), 'a.filter_type', $this->pageInfo->filter->order->dir,$this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title titleorder">

				<?php echo JHTML::_('grid.sort',  JText::_( 'HIKA_ORDER' ), 'a.filter_ordering',$this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

					<?php if ($this->order->ordering) echo JHTML::_('grid.order',  $this->rows ); ?>

				</th>

				<th class="title titlepublished">

					<?php echo JHTML::_('grid.sort',   JText::_('HIKA_PUBLISHED'), 'a.filter_published', $this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

				</th>

				<th class="title titleid">

					<?php echo JHTML::_('grid.sort',   JText::_( 'ID' ), 'a.filter_id', $this->pageInfo->filter->order->dir, $this->pageInfo->filter->order->value ); ?>

				</th>

			</tr>

		</thead>

		<tfoot>

			<tr>

				<td colspan="11">

					<?php echo $this->pagination->getListFooter(); ?>

					<?php echo $this->pagination->getResultsCounter(); ?>

				</td>

			</tr>

		</tfoot>

		<tbody>

			<?php

				$k = 0;

				for($i = 0,$a = count($this->rows);$i<$a;$i++){

					$row =& $this->rows[$i];

					$publishedid = 'filter_published-'.$row->filter_id;



					$row->filter_data=unserialize($row->filter_data);

			?>

				<tr class="<?php echo "row$k"; ?>">

					<td align="center">

					<?php echo $this->pagination->getRowOffset($i); ?>

					</td>

					<td align="center">

						<?php echo JHTML::_('grid.id', $i, $row->filter_id ); ?>

					</td>

					<td align="center">

						<?php if($this->manage){ ?>

							<a href="<?php echo hikashop_completeLink('filter&task=edit&cid[]='.$row->filter_id); ?>">

						<?php }

							echo $row->filter_name;

						if($this->manage){ ?>

							</a>

						<?php } ?>

					</td>

					<td>

						<?php

							if(is_array($row->filter_data)){

								echo implode(',', $row->filter_data);

							}else{

								echo $row->filter_data;

							}

						?>

					</td>

					<td align="center">

						<?php

							echo $row->filter_type;

						?>

					</td>

					<td class="order">

						<?php if($this->manage){  ?>

							<span><?php echo $this->pagination->orderUpIcon( $i, $this->order->reverse XOR ( $row->filter_ordering >= @$this->rows[$i-1]->filter_ordering ), $this->order->orderUp, 'Move Up',$this->order->ordering ); ?></span>

							<span><?php echo $this->pagination->orderDownIcon( $i, $a, $this->order->reverse XOR ( $row->filter_ordering <= @$this->rows[$i+1]->filter_ordering ), $this->order->orderDown, 'Move Down' ,$this->order->ordering); ?></span>

							<input type="text" name="order[]" size="5" <?php if(!$this->order->ordering) echo 'disabled="disabled"'?> value="<?php echo $row->filter_ordering; ?>" class="text_area" style="text-align: center" />

						<?php }else{ echo $row->filter_ordering; } ?>

					</td>

					<td align="center">

						<?php if($this->manage){ ?>

							<span id="<?php echo $publishedid ?>" class="spanloading"><?php echo $this->toggleClass->toggle($publishedid,(int) $row->filter_published,'filter') ?></span>

						<?php }else{ echo $this->toggleClass->display('activate',$row->filter_published); } ?>

					</td>

					<td width="1%" align="center">

						<?php echo $row->filter_id; ?>

					</td>

				</tr>

			<?php

					$k = 1-$k;

				}

			?>

		</tbody>

	</table>

	<input type="hidden" name="option" value="<?php echo HIKASHOP_COMPONENT; ?>" />

	<input type="hidden" name="task" value="" />

	<input type="hidden" name="ctrl" value="<?php echo JRequest::getCmd('ctrl'); ?>" />

	<input type="hidden" name="boxchecked" value="0" />

	<input type="hidden" name="filter_order" value="<?php echo $this->pageInfo->filter->order->value; ?>" />

	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->pageInfo->filter->order->dir; ?>" />

	<?php echo JHTML::_( 'form.token' ); ?>

</form>

